Subject: bug#31543: closed (Re: bug#31543: Building a clean guix master checkout is impossible)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 May 2018 09:36:02 +0000

Your bug report

#31543: Building a clean guix master checkout is impossible

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31543: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31543
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31543: Building a clean guix master checkout is impossible
From: Danny Milosavljevic <[email-masked]>
To: [email-masked]
Date: Mon, 21 May 2018 11:34:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

My bad, I had one tiny local change.  Sorry.

This was caused by me changing gnu/packages/libreoffice.scm libreoffice to use
glib-or-gtk-build-system without adding #:use-module (guix build-system glib-or-gtk).

The error message could be better :P

And it is indeed better if it built all the other stuff before.

To get the bad error message:

(1) Change gnu/packages/libreoffice.scm libreoffice to use glib-or-gtk-build-system
(2) Invoke "make clean"
(3) Invoke "make"
(4) Witness error message about "gzip".

Subject: Building a clean guix master checkout is impossible
From: Danny Milosavljevic <[email-masked]>
To: <[email-masked]>
Date: Mon, 21 May 2018 10:45:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Building a clean master checkout of guix is impossible right now.

I'm trying to build guix master de136f3ee7878dea139e751b7e4ca04c2542c91d
from guix master e5504f2ba0bd00a7306aada51981328b746b5f7d.

I get a lot of error messages related to unbound variables.
For good measure, I've deleted ~/.cache/guile now - but that didn't improve
matters.

guix/scripts/pack.scm

  LOAD     guix/scripts/pack.scm
Backtrace:
In ice-9/boot-9.scm:
    142:2 19 (dynamic-wind _ _ #<procedure 1407540 at ice-9/eval.scm?>)
    142:2 18 (dynamic-wind _ _ #<procedure 1409dc0 at ice-9/eval.scm?>)
In ice-9/eval.scm:
    619:8 17 (_ #(#(#<directory (guix build compile) 15408c0> #<?> ?)))
    619:8 16 (_ #(#(#(#(#(#(#(#<directory (guix b?> ?)) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
    152:2 15 (with-fluid* _ _ _)
  2788:17 14 (resolve-interface (guix scripts pack) #:select _ #:hide ?)
  2714:10 13 (_ (guix scripts pack) _ _ #:ensure _)
  2982:16 12 (try-module-autoload _ _)
   2312:4 11 (save-module-excursion #<procedure 6e7a030 at ice-9/boo?>)
  3002:22 10 (_)
In unknown file:
           9 (primitive-load-path "guix/scripts/pack" #<procedure 25?>)
In ice-9/eval.scm:
   626:19  8 (_ #<directory (guix scripts pack) 7313780>)
   173:39  7 (_ #<directory (guix scripts pack) 7313780>)
   202:51  6 (_ #<directory (guix scripts pack) 7313780>)
   202:35  5 (_ #<directory (guix scripts pack) 7313780>)
    155:9  4 (_ #<directory (guix scripts pack) 7313780>)
   202:35  3 (_ #<directory (guix scripts pack) 7313780>)
    159:9  2 (_ #<directory (guix scripts pack) 7313780>)
   223:20  1 (proc #<directory (guix scripts pack) 7313780>)
In unknown file:
           0 (%resolve-variable (7 . gzip) #<directory (guix scripts?>)

ERROR: In procedure %resolve-variable:
error: gzip: unbound variable

So I deleted the references from the file.

Then I get:

gnu/packages/commencement.scm

Backtrace:
In ice-9/boot-9.scm:
   222:29 19 (map1 _)
   222:29 18 (map1 _)
   222:29 17 (map1 _)
   222:29 16 (map1 (((guix scripts graph)) ((guix monads)) ((# #)) ?))
   222:29 15 (map1 (((guix monads)) ((guix gnupg)) ((gnu #)) (# ?) ?))
   222:29 14 (map1 (((guix gnupg)) ((gnu packages)) ((gnu # #) # ?) ?))
   222:29 13 (map1 (((gnu packages)) ((gnu packages #) #:select #) ?))
   222:17 12 (map1 (((gnu packages commencement) #:select (#)) (#) ?))
  2788:17 11 (resolve-interface (gnu packages commencement) #:select ?)
  2714:10 10 (_ (gnu packages commencement) _ _ #:ensure _)
  2982:16  9 (try-module-autoload _ _)
   2312:4  8 (save-module-excursion #<procedure 78c4330 at ice-9/boo?>)
  3002:22  7 (_)
In unknown file:
           6 (primitive-load-path "gnu/packages/commencement" #<proc?>)
In ice-9/eval.scm:
   626:19  5 (_ #<directory (gnu packages commencement) 72d8c80>)
    155:9  4 (_ #<directory (gnu packages commencement) 72d8c80>)
   173:55  3 (_ #(#(#(#(#<directory (gnu packages commen?> ?) ?) ?) ?))
    159:9  2 (_ #(#(#(#(#<directory (gnu packages commen?> ?) ?) ?) ?))
   223:20  1 (proc #(#(#(#(#<directory (gnu packages com?> ?) ?) ?) ?))
In unknown file:
           0 (%resolve-variable (7 . gnu-make) #<directory (gnu pack?>)

ERROR: In procedure %resolve-variable:
error: gnu-make: unbound variable